import { OnInit, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class FrequencyTopComponent implements OnInit {
    occurrenceFirst: number;
    id: number;
    inputTime: string;
    frequencyType: number;
    yearlyDay: number;
    valueChangedFirst: EventEmitter<any>;
    nextDisable: EventEmitter<any>;
    timeChanged: EventEmitter<any>;
    yearlyDateChanged: EventEmitter<any>;
    mode: any;
    DEFAULT_TIME: string;
    todayDate: Date;
    dateObjectData: Date;
    timeData: string;
    constructor();
    ngOnInit(): void;
    enterValueFirst(event: any, actionType: string): void;
    enterValue(event: any, actionType: any): void;
    getToday(): string;
    onTimeChanged(event: string): void;
    enterYearDay(event: any): void;
    timeSelection(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyTopComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyTopComponent, "app-frequency-top", never, { "occurrenceFirst": { "alias": "occurrenceFirst"; "required": false; }; "id": { "alias": "id"; "required": false; }; "inputTime": { "alias": "inputTime"; "required": false; }; "frequencyType": { "alias": "frequencyType"; "required": false; }; "yearlyDay": { "alias": "yearlyDay"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; }, { "valueChangedFirst": "valueChangedFirst"; "nextDisable": "nextDisable"; "timeChanged": "timeChanged"; "yearlyDateChanged": "yearlyDateChanged"; }, never, never, false, never>;
}
